Kwalitee Issues

no_pax_headers

If you use Mac OS X >= 10.6, use gnu tar (/usr/bin/gnutar) to avoid PAX headers. It's also important to rename (shorten) long file names (>= 100 characters) in the distribution.

Error: ./PaxHeaders.4637/Net-CUPS-0.62,./PaxHeaders.4637/Net-CUPS-0.62,Net-CUPS-0.62/PaxHeaders.4637/t,Net-CUPS-0.62/PaxHeaders.4637/t,Net-CUPS-0.62/t/PaxHeaders.4637/01_use.t,Net-CUPS-0.62/t/PaxHeaders.4637/01_use.t,Net-CUPS-0.62/t/PaxHeaders.4637/02_cups.t,Net-CUPS-0.62/t/PaxHeaders.4637/02_cups.t,Net-CUPS-0.62/PaxHeaders.4637/extra_t,Net-CUPS-0.62/PaxHeaders.4637/extra_t,Net-CUPS-0.62/extra_t/PaxHeaders.4637/03_destination.t,Net-CUPS-0.62/extra_t/PaxHeaders.4637/03_destination.t,Net-CUPS-0.62/PaxHeaders.4637/CUPS.xs,Net-CUPS-0.62/PaxHeaders.4637/CUPS.xs,Net-CUPS-0.62/PaxHeaders.4637/const-c.inc,Net-CUPS-0.62/PaxHeaders.4637/const-c.inc,Net-CUPS-0.62/PaxHeaders.4637/lib,Net-CUPS-0.62/PaxHeaders.4637/lib,Net-CUPS-0.62/lib/PaxHeaders.4637/Net,Net-CUPS-0.62/lib/PaxHeaders.4637/Net,Net-CUPS-0.62/lib/Net/PaxHeaders.4637/CUPS,Net-CUPS-0.62/lib/Net/PaxHeaders.4637/CUPS,Net-CUPS-0.62/lib/Net/CUPS/PaxHeaders.4637/Destination.pm,Net-CUPS-0.62/lib/Net/CUPS/PaxHeaders.4637/Destination.pm,Net-CUPS-0.62/lib/Net/CUPS/PaxHeaders.4637/PPD.pm,Net-CUPS-0.62/lib/Net/CUPS/PaxHeaders.4637/PPD.pm,Net-CUPS-0.62/lib/Net/CUPS/PaxHeaders.4637/IPP.pm,Net-CUPS-0.62/lib/Net/CUPS/PaxHeaders.4637/IPP.pm,Net-CUPS-0.62/lib/Net/PaxHeaders.4637/CUPS.pm,Net-CUPS-0.62/lib/Net/PaxHeaders.4637/CUPS.pm,Net-CUPS-0.62/PaxHeaders.4637/ppport.h,Net-CUPS-0.62/PaxHeaders.4637/ppport.h,Net-CUPS-0.62/PaxHeaders.4637/examples,Net-CUPS-0.62/PaxHeaders.4637/examples,Net-CUPS-0.62/examples/PaxHeaders.4637/list_dests.pl,Net-CUPS-0.62/examples/PaxHeaders.4637/list_dests.pl,Net-CUPS-0.62/examples/PaxHeaders.4637/print_file.pl,Net-CUPS-0.62/examples/PaxHeaders.4637/print_file.pl,Net-CUPS-0.62/PaxHeaders.4637/fallback,Net-CUPS-0.62/PaxHeaders.4637/fallback,Net-CUPS-0.62/fallback/PaxHeaders.4637/const-c.inc,Net-CUPS-0.62/fallback/PaxHeaders.4637/const-c.inc,Net-CUPS-0.62/fallback/PaxHeaders.4637/const-xs.inc,Net-CUPS-0.62/fallback/PaxHeaders.4637/const-xs.inc,Net-CUPS-0.62/PaxHeaders.4637/README,Net-CUPS-0.62/PaxHeaders.4637/README,Net-CUPS-0.62/PaxHeaders.4637/META.json,Net-CUPS-0.62/PaxHeaders.4637/META.json,Net-CUPS-0.62/PaxHeaders.4637/TODO,Net-CUPS-0.62/PaxHeaders.4637/TODO,Net-CUPS-0.62/PaxHeaders.4637/META.yml,Net-CUPS-0.62/PaxHeaders.4637/META.yml,Net-CUPS-0.62/PaxHeaders.4637/typemap,Net-CUPS-0.62/PaxHeaders.4637/typemap,Net-CUPS-0.62/PaxHeaders.4637/Changes,Net-CUPS-0.62/PaxHeaders.4637/Changes,Net-CUPS-0.62/PaxHeaders.4637/const-xs.inc,Net-CUPS-0.62/PaxHeaders.4637/const-xs.inc,Net-CUPS-0.62/PaxHeaders.4637/Makefile.PL,Net-CUPS-0.62/PaxHeaders.4637/Makefile.PL,Net-CUPS-0.62/PaxHeaders.4637/MANIFEST,Net-CUPS-0.62/PaxHeaders.4637/MANIFEST,Net-CUPS-0.62/PaxHeaders.4637/packer.c,Net-CUPS-0.62/PaxHeaders.4637/packer.c

consistent_version

Split the distribution, or fix the version numbers to make them consistent (use the highest version number to avoid version downgrade).

Error: 0.61,0.62

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Net::CUPS Common Unix Printing System Interface 0.62 metacpan
Net::CUPS::Destination CUPS Destination Object 0.61 metacpan
Net::CUPS::IPP Internet Printing Protocol Object 0.61 metacpan
Net::CUPS::PPD PostScript Printer Definition Object 0.61 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan